Subject: Re: [PATCH][RFC] ibm_newemac and SIOCGMIIREG

From: "Steven A. Falco" <[email-masked]>
Date: Thu, 10 Jun 2010 17:26:52 -0400

On 06/10/2010 04:35 PM, Arnd Bergmann wrote:
> 
> It seems that your program is wrong. On my PC here, it also shows zero,
> while mii-tool works fine.
> 

You are correct.  I didn't realize I should embed the data
in the ifr_data area - I thought I needed to pass a pointer.

Now I see why you avoid that.  And since IFNAMSIZ is 16,
there is enough space for the struct mii_ioctl_data.  A bit
dirty, but it obviously works.

Anyway, thanks very much for taking the time to debug my
program, and set me straight.  Naturally, I withdraw the
patch. :-)

	Steve

> 	Arnd